<!--startmeta
custom_edit_url: "https://github.com/netdata/netdata/edit/master/collectors/apps.plugin/integrations/applications.md"
meta_yaml: "https://github.com/netdata/netdata/edit/master/collectors/apps.plugin/metadata.yaml"
sidebar_label: "Applications"
learn_status: "Published"
learn_rel_path: "Data Collection/Processes and System Services"
message: "DO NOT EDIT THIS FILE DIRECTLY, IT IS GENERATED BY THE COLLECTOR'S metadata.yaml FILE"
endmeta-->

# Applications


<img src="https://netdata.cloud/img/applications.svg" width="150"/>


Plugin: apps.plugin
Module: apps

<img src="https://img.shields.io/badge/maintained%20by-Netdata-%2300ab44" />

## Overview

Monitor Applications for optimal software performance and resource usage.



This collector is supported on all platforms.

This collector supports collecting metrics from multiple instances of this integration, including remote instances.


### Default Behavior

#### Auto-Detection

This integration doesn't support auto-detection.

#### Limits

The default configuration for this integration does not impose any limits on data collection.

#### Performance Impact

The default configuration for this integration is not expected to impose a significant performance impact on the system.


## Metrics

Metrics grouped by *scope*.

The scope defines the instance that the metric belongs to. An instance is uniquely identified by a set of labels.



### Per applications group

These metrics refer to the application group.

Labels:

| Label      | Description     |
|:-----------|:----------------|
| app_group | The name of the group defined in the configuration. |

Metrics:

| Metric | Dimensions | Unit |
|:------|:----------|:----|
| app_group.cpu_utilization | user, system | percentage |
| app_group.cpu_guest_utilization | guest | percentage |
| app_group.cpu_context_switches | voluntary, involuntary | switches/s |
| app_group.mem_usage | rss | MiB |
| app_group.mem_private_usage | mem | MiB |
| app_group.vmem_usage | vmem | MiB |
| app_group.mem_page_faults | minor, major | pgfaults/s |
| app_group.swap_usage | swap | MiB |
| app_group.disk_physical_io | reads, writes | KiB/s |
| app_group.disk_logical_io | reads, writes | KiB/s |
| app_group.processes | processes | processes |
| app_group.threads | threads | threads |
| app_group.fds_open_limit | limit | percentage |
| app_group.fds_open | files, sockets, pipes, inotifies, event, timer, signal, eventpolls, other | fds |
| app_group.uptime | uptime | seconds |
| app_group.uptime_summary | min, avg, max | seconds |



## Alerts

There are no alerts configured by default for this integration.


## Setup

### Prerequisites

No action required.

### Configuration

#### File

There is no configuration file.
#### Options



There are no configuration options.

#### Examples
There are no configuration examples.


